WAIT_ON_ATOMIC_T(9)

NAME
wait_on_atomic_t - Wait for an atomic_t to become 0

SYNOPSIS

int wait_on_atomic_t(atomic_t * val, int (*action) (atomic_t *), unsigned mode);

ARGUMENTS

val
    The atomic value being waited on, a kernel virtual address

action
    the function used to sleep, which may take special actions

mode
    the task state to sleep in

DESCRIPTION

Wait for an atomic_t to become 0. We abuse the bit-wait waitqueue table for the purpose of getting a waitqueue, but we set the key to a bit number outside of the target 'word'.

COPYRIGHT